## mtink 1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # This will work for Linux and Solaris
 
-prefix=/usr/local
+prefix=/usr
 setUid=1
-gimpVersion=1.2
+gimpVersion=2.0.1
 
 DBG = -s -O
 
@@ -33,8 +33,8 @@
 MACINCL = -I/usr/local/include
 MACLB   = -L/usr/local/lib
 
-CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC)
-LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
+CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\"
+LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
 
 # Modify CC to cc if needed
 CC=gcc
@@ -44,8 +44,8 @@
 #LFLAGS= $(DBG) -L/usr/X11R6/lib -L/usr/dt/lib /home/jj/MOTIF/motif/lib/Xm/libXm.a -lXp -lXt -lSM -LICE -lXext -lX11
 
 # Adapt this if necesssary
-GIMP_INC = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
-GIMP_LIB = -L/usr/lib -lgimpui -lgimp -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
+GIMP_INC = -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DGIMP_VERSION_2
+GIMP_LIB = -L/usr/lib -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
 
 ############################################################
 # The programs we generate
@@ -253,8 +253,8 @@
 	@echo Compile rdPrtDesc.c
 	@$(CC) -o $(UTILS)/rdPrtDesc $(SRCDIR)/rdPrtDesc.c -I$(SRCDIR)
 
-install: install-mtink  install-ttink install-plugins install-askPrinter install-mtinkd \
-         install-start install-cups
+install: install-mtink  install-ttink install-desc install-plugins install-askPrinter install-mtinkd \
+         install-start install-cups install-pyink
 
 install-mtink:
 	@#echo install mtink
@@ -291,15 +291,3 @@
 	@#echo install ttink
 	@if id | grep '=0(root)' >/dev/null; \
 	then \
-	   mkdir -p $(prefix)/bin >/dev/null 2>&1; \
-	   cp ttink $(prefix)/bin; \
-	   echo "Ttink installed / installe, installiert, teleptve."; echo ; \
-	   if [ $(setUid) -eq 0 ]; then \
-	      echo "Make sure that $(prefix)/bin/ttink has read/write access to the device files."; \
-	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
-	   else \
-	      chmod  4755 $(prefix)/bin/ttink; \
-	   fi; \
-	fi
-
-install-askPrinter:
