## mtink 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # This will work for Linux and Solaris
 
-prefix=/usr
+prefix=/usr/local
 setUid=1
-gimpVersion=2.0.1
+gimpVersion=
 
 DBG = -s -O
 
@@ -30,11 +30,14 @@
 MOLIB = -lXm
 MOINC = -I/usr/X11R6/include
 
-MACINCL = -I/usr/local/include
-MACLB   = -L/usr/local/lib
-
-CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\"
-LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
+#MACINCL = -I/usr/OpenMotif/include
+#MACLB   = -L/usr/OpenMotif/lib
+
+
+
+
+CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\" $(MACOSCFLG)
+LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11 $(MACOSLDFLG)
 
 # Modify CC to cc if needed
 CC=gcc
@@ -44,13 +47,13 @@
 #LFLAGS= $(DBG) -L/usr/X11R6/lib -L/usr/dt/lib /home/jj/MOTIF/motif/lib/Xm/libXm.a -lXp -lXt -lSM -LICE -lXext -lX11
 
 # Adapt this if necesssary
-GIMP_INC = -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DGIMP_VERSION_2
-GIMP_LIB = -L/usr/lib -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
+GIMP_INC = -I/usr/include  -I/usr/local/include -I/usr/include/glib-1.2 -I/usr/local/include/glib-1.2 -I/usr/include/glib -I/usr/local/include/glib
+GIMP_LIB = -lgimp -rdynamic
 
 ############################################################
 # The programs we generate
 
-PRG = mtink mtinkc ttink gimp-mtink $(DETDIR)/askPrinter
+PRG = mtink mtinkc ttink mtinkd $(DETDIR)/askPrinter
 
 SRCDIR = mainSrc
 DOCDIR = html
@@ -80,6 +83,7 @@
 # Our objekt files
 
 OBJ =    $(SRCDIR)/mtink.o \
+         $(SRCDIR)/rw.o \
          $(SRCDIR)/d4lib.o \
          $(SRCDIR)/d4libh.o \
          $(SRCDIR)/cfg1.o \
@@ -93,24 +97,30 @@
          $(SRCDIR)/cmd.o \
          $(SRCDIR)/tooltip.o \
          $(SRCDIR)/wheelmouse.o \
-         $(SRCDIR)/micon.o
+         $(SRCDIR)/usbHlp.o \
+         $(SRCDIR)/micon.o \
+         $(SRCDIR)/checkenv.o
 
 TTYOBJ = $(SRCDIR)/ttink.o \
+         $(SRCDIR)/rw.o \
          $(SRCDIR)/d4lib.o \
          $(SRCDIR)/d4libh.o \
          $(SRCDIR)/rdPrtDesc.o \
          $(SRCDIR)/nXcmd.o \
+         $(SRCDIR)/usbHlp.o \
          $(SRCDIR)/rdRes.o
 
 SVR_OBJ = $(SVRDIR)/mtinkd.o \
+         $(SRCDIR)/rw.o \
          $(SVRDIR)/cmd.o \
          $(SVRDIR)/d4lib.o \
+         $(SRCDIR)/usbHlp.o \
          $(SVRDIR)/d4libh.o
 
 
 DOC = *.gif *.html
 
-all: $(PRG) mtinkd $(UTILS)/bldRes $(UTILS)/rdPrtDesc 
+all: $(PRG) $(UTILS)/bldRes $(UTILS)/rdPrtDesc $(UTILS)/chckRes
 
 clean:
 	@if [ "`echo $(SRCDIR)/*.o`" != "$(SRCDIR)"/'*.o'  ]; then rm $(SRCDIR)/*.o; fi; >/dev/null 2>/dev/null
@@ -120,6 +130,7 @@
 	@if [ -f gimp-mtink                  ]; then rm gimp-mtink          ; fi
 	@if [ -f $(UTILS)/bldRes             ]; then rm $(UTILS)/bldRes     ; fi
 	@if [ -f $(UTILS)/rdPrtDesc          ]; then rm $(UTILS)/rdPrtDesc  ; fi
+	@if [ -f $(UTILS)/chckRes            ]; then rm $(UTILS)/chckRes    ; fi
 	@if [ "`echo $(SVRDIR)/*.o `" != "$(SVRDIR)"/'*.o' ]; then rm $(SVRDIR)/*.o; fi; >/dev/null 2>/dev/null
 	@if [ -f mtinkd                      ]; then rm mtinkd              ; fi
 	@if [ -f  $(DETDIR)/askPrinter       ]; then rm $(DETDIR)/askPrinter; fi
@@ -127,7 +138,11 @@
 ############## COMMON AND frintends ##################
 $(SRCDIR)/d4lib.o: $(SRCDIR)/d4lib.c $(SRCDIR)/d4lib.h Makefile
 	@echo Compile d4lib.c
-	@$(CC) -c -o $(SRCDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG)
+	@$(CC) -c -o $(SRCDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(MACOSCFLG)
+
+$(SRCDIR)/rw.o: $(SRCDIR)/rw.c  Makefile
+	@echo Compile rw.c
+	@$(CC) -c -o $(SRCDIR)/rw.o $(SRCDIR)/rw.c $(DEBUG) $(MACOSCFLG)
 
 $(SRCDIR)/d4libh.o: $(SRCDIR)/d4libh.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h Makefile
 	@echo Compile d4libh.c
@@ -165,11 +180,15 @@
 	@echo Compile alignbt.c
 	@$(CC) -c -o $(SRCDIR)/alignbt.o $(SRCDIR)/alignbt.c $(CFLAGS)  -DWITH_X=1
 
-$(SRCDIR)/cmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/al820.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c Makefile
+$(SRCDIR)/checkenv.o: $(SRCDIR)/alignbt.c $(SRCDIR)/checkenv.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/cmd.h  Makefile
+	@echo Compile checkenv.c
+	@$(CC) -c -o $(SRCDIR)/checkenv.o $(SRCDIR)/checkenv.c $(CFLAGS)
+
+$(SRCDIR)/cmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/al820.c  $(SRCDIR)/align.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c Makefile
 	@echo Compile cmd.c
 	@$(CC) -c -o $(SRCDIR)/cmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=1 -DSERVER=0
 
-$(SRCDIR)/nXcmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h Makefile
+$(SRCDIR)/nXcmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h Makefile $(SRCDIR)/al820.c  $(SRCDIR)/align.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c
 	@echo Compile cmd.c as nXcmd.o
 	@$(CC) -c -o $(SRCDIR)/nXcmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=0 -DSERVER=0
 
@@ -177,7 +196,7 @@
 	@echo Compile resource.c
 	@$(CC) -c -o $(SRCDIR)/resource.o $(SRCDIR)/resource.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1
 
-$(SRCDIR)/mtink.o: $(SRCDIR)/mtink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/model.h Makefile
+$(SRCDIR)/mtink.o: $(SRCDIR)/mtink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/model.h $(SRCDIR)/checkenv.h Makefile
 	@echo Compile mtink.c
 	@$(CC) -c -o $(SRCDIR)/mtink.o $(SRCDIR)/mtink.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1
 
@@ -197,13 +216,17 @@
 	@echo Compile rdRes.c
 	@-$(CC) -c -o $(SRCDIR)/rdRes.o $(SRCDIR)/rdRes.c
 
+$(SRCDIR)/usbHlp.o: $(SRCDIR)/usbHlp.c Makefile
+	@echo Compile usbHlp.c
+	@-$(CC) -c -o $(SRCDIR)/usbHlp.o $(SRCDIR)/usbHlp.c $(CFLAGS)  $(DEBUG)
+
 mtink:  $(OBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/alignbt.h $(SRCDIR)/scrtxt.h $(SRCDIR)/cfg1.h $(SRCDIR)/cfg2.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/version.h
 	@echo Link mtink
 	@$(CC) -o mtink $(OBJ)  $(CFLAGS) $(LFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=1
 
 ttink: $(TTYOBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h  $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/version.h Makefile
 	@echo Link ttink
-	@$(CC) -o ttink $(TTYOBJ) $(CFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=0
+	@$(CC) -o ttink $(TTYOBJ) $(CFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(MACOSLDFLG) -DWITH_X=0
 
 ############# PLUG-IN #######################
 gimp-mtink: $(SRCDIR)/gimp-mtink.c Makefile
@@ -229,7 +252,7 @@
 
 mtinkd: $(SVR_OBJ) Makefile
 	@echo Link mtinkd
-	@$(CC) -o mtinkd $(SVR_OBJ) $(CFLAGS)
+	@$(CC) -o mtinkd $(SVR_OBJ) $(CFLAGS) $(MACOSLDFLG) 
 
 ########### Chooser ##############
 
@@ -253,8 +276,11 @@
 	@echo Compile rdPrtDesc.c
 	@$(CC) -o $(UTILS)/rdPrtDesc $(SRCDIR)/rdPrtDesc.c -I$(SRCDIR)
 
-install: install-mtink  install-ttink install-desc install-plugins install-askPrinter install-mtinkd \
-         install-start install-cups install-pyink
+$(UTILS)/chckRes: $(SRCDIR)/rdRes.c
+	@echo Compile chckRes
+	@$(CC) -o $(UTILS)/chckRes $(SRCDIR)/rdRes.c -I$(SRCDIR) -DRESCHECK=1
+
+install: install-mtink install-ttink install-desc install-pyink install-askPrinter install-mtinkd install-start install-cups
 
 install-mtink:
 	@#echo install mtink
@@ -271,23 +297,5 @@
 	   fi; \
 	   cp mtink $(prefix)/bin; \
 	   cp mtinkc $(prefix)/bin; \
-	   echo "Mtink installed / installe, installiert, teleptve."; echo ; \
+	   echo "Mtink installed / installe, installiert."; echo ; \
 	   if [ $(setUid) -eq 0 ]; then \
-	      echo "Make sure that $(prefix)/bin/mtink has read/write access to the device files."; \
-	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
-	   else \
-	      chmod  4755 $(prefix)/bin/mtink; \
-	   fi; \
-	   if [ "$(gimpVersion)" != "" ]; then \
-	      echo "Do installation of plug-in as normal user."; \
-	      echo "A plug-in teleptst egyszer felhasznlknt vgezze."; \
-	      echo "L'installation du plug-ins doit etre effectuee avec le compte normal."; \
-	      echo "Um das Plug-in zu installieren, muessen Sie als normalen Anwender eingelogt sein."; \
-	      echo ; \
-	   fi; \
-	fi
-
-install-ttink:
-	@#echo install ttink
-	@if id | grep '=0(root)' >/dev/null; \
-	then \
