## mtink 1.0.16

=== pyink/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=/usr
+prefix=/usr/local
 
 DIST_FILES= pyink/pyink.py \
             pyink/pyinkHTTPHandler.py \
