=== debian/changelog ===
mtink (1.0.16-4) unstable; urgency=low

  * QA upload.
  * Convert from dpatch to format 3.0 (quilt). Drop dpatch from build-depends.
  * Drop old unapplied patches (cflags, keep-pristine-source).
  * Bump debhelper compat version to 8. Update build-depends accordingly.
  * Bump Standards-Version to 3.9.2.
  * Get rid of duplicated Section in debian/control.
  * Remove obsolete Enconding field from .desktop files.
  * Rebuild seems to remove libxp dependency. Closes: #623650.

 -- Regis Boudin <regis@debian.org>  Tue, 07 Feb 2012 00:45:48 +0100

mtink (1.0.16-3) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Camaleón).  Closes: #583541

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jul 2010 09:27:40 +0200

mtink (1.0.16-2) unstable; urgency=low

  * Orphaning the package
  * Acknowledge NMU, thanks Stefano ! (Closes: #554185, #534040) 
  * Add japanese po-debconf (Closes: #512975)
  * Add russion po-debconf (Closes: #543188)
  * Apply font change proposed by upstream (Closes: #504317)
  * Fix spell errors in the french translation (Closes: #508519)
  * Upgrade Standards-Version to 3.8.3:
    * Add README.source
    * Remove useless dh_desktop invocation
    * Change doc-base section to System/Monitoring
    * Don't create /var/run/mtink, it is created when mtinkd start
  * Add ${misc:Depends} for mtink-doc package
  * Update debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Nov 2009 23:16:02 +0100

mtink (1.0.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add missing build-dep on po-debconf (Closes: #554185)
  * debian/mk/docbook-manpage.mk: fix shell test error ('==' operator)
  * debian/rules: remove po threshold to avoid lacking manpages that are
    assummed to be available, fix FTBFS. (Closes: #534040)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Nov 2009 10:02:20 +0100

mtink (1.0.16-1) unstable; urgency=low

  * New upstream release
  * Upgrade debian/watch version to 3,
  * Add debian/mtink.desktop debian/mtinkc.desktop,
  * Use mtink.install.in to manage gimp plugin installation,
  * Rewrite and relicense manpage debian/xml-man/,
  * Use po4a to translate manpage, reorganize manpage source
    following the po4a convention,
  * Remove po-debconf Build-Depends, since it is a dependency of
    debhelper 5
  * Remove old, unused and partial italian and deutsch translation,
    maybe using .po format will help translation team,
  * Add docbook-manpage.mk and po4a.mk in debian/mk for translation
    and generation of manpage,
  * Change email address to gildor@debian.org everywhere
  * Use DTD from docbook-xml package and not from docbook package
  * Add portuguese translation for debconf messages, thanks to Rui
    Branco (Closes: #414912)
  * Add dutch po-debconf translation, thanks to cobaco (Closes: #420934)
  * Use the new upstream configure option --no-strip to stop stripping
    binary (Closes: #437592)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 28 Aug 2007 23:20:47 +0200

mtink (1.0.14-2) unstable; urgency=high

  * Forget to set urgency=high.

 -- Sylvain Le Gall <gildor@debian.org>  Sat,  7 Oct 2006 19:50:48 +0200

mtink (1.0.14-1) unstable; urgency=low

  * New upstream release
  * Remove checkenv patch, included in upstream,
  * Minor improvement:
    * Update debian/rules FSF,
    * Better layout in control.in,
    * Upgrade debhelper to standard 5,

 -- Sylvain Le Gall <gildor@debian.org>  Fri,  6 Oct 2006 02:38:09 +0200

mtink (1.0.13c-1) unstable; urgency=high

  * New upstream release,
  * Patch cflags has been applied upstream,
  * Patch keep-pristine-source has been partially applied:
    * call distclean to clean the package,
  * Uncapitalize the variable to prevent adding the shlib dependency of
    gimp-mtink to the mtink package.
  * Move target variable definition after the inclusion of Makefile part,
  * Urgency set to high, because it fix an undicover bug in removing
    XAUTHORITY variable.

 -- Sylvain Le Gall <gildor@debian.org>  Tue,  3 Oct 2006 01:13:00 +0200

mtink (1.0.13a-1) unstable; urgency=low

  * New upstream version
  * Change my email address to gildor@debian.org,
  * Upgrade Standards-Version to 3.7.2 (no change),
  * Remove useless file in debian/,
  * Add db_stop where debconf is used,
  * Add po-debconf as build dependency,
  * Remove Eduard Bloch as uploaders (i am now the main
    uploader), thanks to Eduard for his contribution,
  * Use CDBS.
  

 -- Sylvain Le Gall <gildor@debian.org>  Sun,  1 Oct 2006 18:14:38 +0200

mtink (1.0.12-3) unstable; urgency=low

  * Release 1.0.12 solved CVE-2005-4604. At the time of first upload the CVE
    number was not assigned (it was assigned on 2006/01/01).

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 22:56:46 +0100

mtink (1.0.12-2) unstable; urgency=low

  * Stop depending on xlib-dev, depends on libx11-dev, libxpm-dev,
    libxt-dev. (Closes: #345538)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  3 Jan 2006 08:40:58 +0100

mtink (1.0.12-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat, 31 Dec 2005 15:46:55 +0100

mtink (1.0.11-2) unstable; urgency=low

  * Add swedish translation (thanks to Daniel Nylander)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 00:03:16 +0100

mtink (1.0.11-1) unstable; urgency=low

  * New upstream release
  * Replace debconf by ${misc:Dependency} from the dependency field of the 
    control file, it is automatically filled by dh_installdebconf
  * Update italian debconf translation, thanks to Luca Bruno (Closes: #325623)
  * Remove patches gcc-4, typo_french, mtink-cups since they are applied
    upstream
  * Update FSF address in copyright
  * Correct dates in changelog (Jui = Jul) 

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 27 Sep 2005 23:44:37 +0200

mtink (1.0.9-1) unstable; urgency=low


