=== debian/control ===
Source: mtink
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper, patchutils, po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc, 
 debhelper (>= 8),
 lesstif2-dev, libgimp2.0-dev (>= 2.0.0-4), libx11-dev, 
 libxpm-dev, libxt-dev, po-debconf
Standards-Version: 3.9.2
Homepage: http://xwtools.automatix.de/

Package: mtink
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gimp, mtink-doc
Description: Status monitor tool for Epson inkjet printers
 This is a printer status monitor which enables to get the remaining ink
 quantity, to print test patterns, to reset printer and to clean nozzle.
 .
 Even if this monitor is targeted to Epson printer, some HP and Canon model are
 supported. 

Package: mtink-doc
Section: doc
Architecture: all
Suggests: mtink
Depends: ${misc:Depends}
Description: Documentation for mtink
 This package is the documentation of the package mtink, a tool to monitor 
 Epson inkjet printers.
