=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mtink package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

# Generate debian/control using
# fakeroot debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include $(CURDIR)/debian/mk/docbook-manpage.mk

PACKAGE = mtink
DESTDIR = $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_CLEAN_TARGET    := distclean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install-mtink      \
                            install-ttink      \
                            install-askPrinter \
                            install-mtinkd

DEB_DH_SHLIBDEPS_ARGS_mtink := -X gimp-mtink
DEB_INSTALL_CHANGELOGS_ALL  := $(CURDIR)/CHANGE.LOG
DEB_INSTALL_DOCS_ALL        := 

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg
PO4A_BUILD_FLAGS += -k 0

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/askPrinter.xml \
                           $(CURDIR)/debian/xml-man/en/mtinkc.xml     \
                           $(CURDIR)/debian/xml-man/en/mtinkd.xml     \
                           $(CURDIR)/debian/xml-man/en/ttink.xml      \
			   $(CURDIR)/debian/xml-man/fr/askPrinter.xml \
                           $(CURDIR)/debian/xml-man/fr/mtinkc.xml     \
                           $(CURDIR)/debian/xml-man/fr/mtinkd.xml     \
                           $(CURDIR)/debian/xml-man/fr/ttink.xml


DOCBOOK_MANPAGE_EXTRA_SOURCES := $(CURDIR)/debian/xml-man/en/refentryinfo.xml \
                                 $(CURDIR)/debian/xml-man/en/license.xml      \
				 $(CURDIR)/debian/xml-man/fr/refentryinfo.xml \
                                 $(CURDIR)/debian/xml-man/fr/license.xml

gimp_version=2.0

clean::
	-$(RM) $(CURDIR)/debian/mtink.install
	-$(RM) $(CURDIR)/debian/xml-man/fr/license.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/askPrinter.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/mtinkc.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/mtinkd.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/ttink.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/refentryinfo.xml
	-$(RM) $(CURDIR)/debian/xml-man/en/*.[18]
	-$(RM) $(CURDIR)/debian/xml-man/fr/*.[18]
	debconf-updatepo

common-configure-arch common-configure-indep::
	./Configure --no-strip --no-suid -p $(CURDIR)/debian/mtink/usr 
	sed -e "s/@gimp_version@/$(gimp_version)/g" $(CURDIR)/debian/mtink.install.in > \
	  	$(CURDIR)/debian/mtink.install

binary-install/mtink::
	chmod u+x $(DESTDIR)/usr/lib/cups/backend/mtink
	$(RM) -r $(DESTDIR)/usr/doc
