=== debian/watch ===
version=3
http://xwtools.automatix.de/files/mtink-(.*)\.tar\.gz
